Name:           StarCluster
Version:        0.93.3
Release:        6%{?dist}
Summary:        Tool for managing computing clusters hosted on Amazon's EC2

# Core of StarCluster is LGPLv3
# sshutils/scp.py and progressbar.py are LGPLv2+
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
License:        LGPLv3 and LGPLv2+ and (MIT or BSD or GPLv2) and (MIT or GPLv2)
URL:            http://star.mit.edu/cluster
Source0:        https://pypi.python.org/packages/source/S/StarCluster/StarCluster-%{version}.tar.gz
# Remove explicit version requires from package
Patch0:         StarCluster-requires.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
Requires:       python-iptools
Requires:       python-boto
Requires:       python-decorator
Requires:       python-iptools
Requires:       python-jinja2
Requires:       python-optcomplete
Requires:       python-pyasn1
Requires:       python-ssh
Requires:       python-workerpool

%description
StarCluster is an open source cluster-computing toolkit for Amazon’s Elastic
Compute Cloud (EC2).

StarCluster has been designed to automate and simplify the process of
building, configuring, and managing clusters of virtual machines on Amazon’s
EC2 cloud. StarCluster allows anyone to easily create a cluster computing
environment in the cloud suited for distributed and parallel computing
applications and systems. 


%package doc
Summary:        Documentation for %{name}
# Neuton-webfont is ASL 2.0
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
# Docs seem to be under same license as core module (LGPLv3)
# *.css files are BSD
License:        LGPLv3 and BSD and ASL 2.0 and (MIT or BSD or GPLv2) and (MIT or GPLv2)
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
%setup -q
%patch0 -p1 -b .requires
# Remove egg-info
rm -r %{name}.egg-info
# Remove bundled modules
rm -r starcluster/{iptools,optcomplete}.py
find -name \*.py | xargs sed -i -e 's/^from starcluster import \(iptools\|optcomplete\)/import \1/'
# Remove /usr/bin/python from libary code
sed -i -e '\,#!/usr/bin/python,d' starcluster/*.py


%build
%{__python} setup.py build
cd docs/sphinx
make html
# Remove empty file
rm _build/html/.buildinfo


%install
%{__python} setup.py install --skip-build --root %{buildroot}
 
%files
%doc Changelog COPYING COPYING.LESSER README.rst
%{_bindir}/starcluster
%{python_sitelib}/*

%files doc
%doc docs/sphinx/_build/html


%changelog
* Wed May 8 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-6
- Fix doc package requires

* Mon May 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-5
- Drop buildroot cleanup
- Remove empty .buildinfo file

* Mon May 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-4
- Final license

* Fri May 2 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-3
- Make doc depend on main package
- Remove shipped egg-info

* Thu May 2 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-2
- Fix up requires
- Build docs, separate package

* Sun Apr 7 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-1
- Initial Fedora package
